import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import TextInput from './index';

test('TextInput renders correctly', () => {
  const tree = renderer.create(
    <div>
      <TextInput
        label="TextInputRequired"
        type="text"
        mandatory
        value="Hello"
        onChange={() => {}}
      />
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
